Subject: sending an retransmitting packets in draft-ietf-quic-recovery

From: marcelo bagnulo braun <[email-masked]>
Date: Mon, 20 Feb 2017 10:18:50 +0100

Hi,

I am going though the loss detection algorithm described in section 3 of 
draft-ietf-quic-recovery-01 and I have a question.

I see that the MaybeRetransmitLostPackets() function is only called on 
Alarm firing. In particular, the
MaybeRetransmitLostPackets() is not called when receiving in ack.

Is that a mistake?

I find strange that upon reception of an ACK, that determines that some 
packets are lost, the retransmission function is called right away but a 
timer is set and retransmission is triggered RTT/4 time later.

Also, I guess upon ack reception, if no loss is detected but the windows 
moves, new data should be transmitted and while i understand that the 
loss detection algorithm may not be the right place to define the rules 
for transmitting new packets, it may be worth mentioning it.

Regards, marcelo